# solidLib.primitives module — solidLib documentation

# solidLib.primitives module

`solidLib.primitives.``pill`(ps: List[List[float]], r, segments: int = 36)

  create a pill around given points

`solidLib.primitives.``rcube`(dim: Iterable[float], radius: float, segments: int = 32)

  creates a cube with rounded corners

  Parameters

    - dim – cube dimensions to base box on.

    - radius – box radius.

    - segments – circular object segments

`solidLib.primitives.``round_box`(x_dim: float, y_dim: float, z_dim: float, radius: float, segments: int = 32)

  creates a round box with radius r

  Parameters

    x_dim (float) –

    .

  Important

  deprecated

`solidLib.primitives.``round_flat_box`(x: float, y: float, z: float, r: float, segments: int = 32)

  creates a round box with radius r and flat top/bottom